Bug 63229 - kmail uses whole GECOS field instead of breaking it up
kmail uses whole GECOS field instead of breaking it up
Product: Red Hat Linux
Classification: Retired
Component: kdenetwork (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Petr Rockai
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-04-11 10:56 EDT by Preston Brown
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-18 14:23:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Preston Brown 2002-04-11 10:56:39 EDT
Description of Problem: 
Unlike most mailers, when you simply enter a local username into kmail as a mail target 
(i.e. pbrown, brosenkr), KMail guesses that their real name is the whole GECOS field, 
instead of breaking the field up on comma (",") boundaries.  Thus instead of mailers like 
mutt, pine, evolution, etc. guessing my name for pbrown is "Preston Brown", my name 
"Preston Brown,OS Development/Director of Linux Development,1-919-547-0012 x44280" 
That's a little verbose. 
Version-Release number of selected component (if applicable): 
KMail 1.4 (kde 3.0.0) 
How Reproducible: 
every time
Comment 1 Petr Rockai 2006-07-17 14:23:25 EDT
This bug is reported against old release of Red Hat Linux or Fedora Core 
that is no longer supported. Chances are that it has been already fixed in 
newer Fedora Core release. If you still experience the problem with 
current release of Fedora Core, please update the Version field (you may 
need to switch Product to Fedora Core first) in the bug report and put it 
back to NEW state.
Comment 2 Bill Nottingham 2006-10-18 14:23:52 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
If this issue is still present in a current Fedora Core release, please
open a new bug with the relevant information.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.